// -*- c++ -*-

/*!
 * This file is part of CameraPlus.
 *
 * Copyright (C) 2012 Mohammed Sameer <msameer@foolab.org>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 */

#ifndef DECLARATIVE_QT_CAMERA_NOTIFICATIONS_H
#define DECLARATIVE_QT_CAMERA_NOTIFICATIONS_H

#include <QObject>

class DeclarativeQtCameraNotifications {
public:
  DeclarativeQtCameraNotifications() {}
  virtual ~DeclarativeQtCameraNotifications() {}

  virtual void imageCaptureStarted() = 0;
  virtual void imageCaptureEnded() = 0;
  virtual void videoRecordingStarted() = 0;
  virtual void videoRecordingEnded() = 0;
  virtual void autoFocusAcquired() = 0;
};
Q_DECLARE_INTERFACE(DeclarativeQtCameraNotifications, "org.foolab.qml.CameraPlus.Notifications/1.0");

#endif /* DECLARATIVE_QT_CAMERA_NOTIFICATIONS_H */
